<?php
	$image_height = rwmb_meta( 'umc_meta_image_min_height_slider', $args = array(), $post_id = null );
	$full_screen = rwmb_meta( 'umc_meta_full_screen', $args = array(), $post_id = null );
	$nav_conditional = rwmb_meta( 'umc_meta_nav_radio', $args = array(), $post_id = null ); 
	

	echo '<div class="img-height" data-image-height="' . $image_height . '" data-full-screen="' . $full_screen .  '" data-nav-conditional="'.$nav_conditional.'"></div>';
	
	echo '<div class="marquee">';
		echo '<div class="marquee_data">';
				$marquee_image_groups = array();
                $first_marquee_image = null;
                if (rwmb_meta( 'umc_marquee_group' )) {
                    $marquee_image_groups = rwmb_meta( 'umc_marquee_group' );
                    if (array_key_exists('umc_meta_imgadv', $marquee_image_groups[0])) {
                        $first_marquee_image = $marquee_image_groups[0]['umc_meta_imgadv'][0];
                    }else{
                        $first_marquee_image = null;
                    }
                }
				$old_marquee_images = rwmb_meta( 'umc_meta_imgadv', 'type=image&size=full' ) ?? ''; // again, poor naming. Shouldn't match the new metabox image id. 
				$site_url = get_site_url();
				if ($first_marquee_image != null) //if you can find the first image in the group array, load the newer marquee images.
				{

					foreach ( $marquee_image_groups as $group )
					{	

						$link = null;
						$image_heading = null;
						$image_subhead = null;
						$image_description_small = null;


						$image_id = isset($group['umc_meta_imgadv'][0]) ? $group['umc_meta_imgadv'][0] : '';
						$large_image = null !== wp_get_attachment_image_src( $image_id, 'large' ) ? wp_get_attachment_image_src( $image_id, 'large' ) : '';
						$image_url_large = null !== $large_image[0] ? $large_image[0] : '';
						$image_url_full = null !== wp_get_attachment_image_src( $image_id, 'full' ) ? wp_get_attachment_image_src( $image_id, 'full' ) : '';
						$image_url_full_trimmed = null !== $image_url_full[0] ? $image_url_full[0] : '';
						$vertical_position_class = null !== $group['umc_meta_vertical_position'] ? $group['umc_meta_vertical_position'] : '';
						$link_conditional = null !== $group['umc_meta_post_vs_external'] ? $group['umc_meta_post_vs_external'] : '';

						
						
						if (array_key_exists('umc_meta_textarea_1', $group)) {
						    $image_heading = null !== $group['umc_meta_textarea_1'] ? $group['umc_meta_textarea_1'] : '';
						}
						if (array_key_exists('umc_meta_textarea_2', $group)) {
						    $image_subhead = null !== $group['umc_meta_textarea_2'] ? $group['umc_meta_textarea_2'] : '';
						}
						if (array_key_exists('umc_meta_textarea_3', $group)) {
						    $image_description_small = null !== $group['umc_meta_textarea_3'] ? $group['umc_meta_textarea_3'] : '';
						}
						
						if ($link_conditional == "post_link") {
							$post_id = $group['umc_meta_posts'];
							$link = get_permalink($post_id);
						}
						elseif ($link_conditional == "external_link") {
							$link = $group['umc_meta_url'];
						}
						
						$up_next = $group['umc_meta_up_next'];

						

						echo '<div class="marquee_panel" data-image-full="'. $image_url_full_trimmed .'" data-image-large="'.$image_url_large.'" data-vertical-orientation="'.$vertical_position_class.'" data-nav-conditional="'.$nav_conditional.'"';
						 if ($link != null) {echo ' data-link="' . $link . '"';}

						echo'>'; 
							echo '<div class="panel_caption">';
								if ($image_heading != null) { echo '<h1>' . $image_heading  . '</h1>';}
							echo '</div>';
							echo '<div class="panel_description">';
									if ($image_subhead != null) { echo '<h2>' .  $image_subhead . '</h2>';}
							echo '</div>';
							echo '<div class="panel_description_small">';
									if ($image_description_small != null) { echo '<span>' . $image_description_small . '</span>';}
							echo '</div>';
							if ($nav_conditional == "up_next" && $up_next != null) {
								echo '<div class="panel_description_up_next">';
										echo '<span>' . $up_next . '</span>';
								echo '</div>';
							}
						echo '</div>';

					    //echo "<img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' />";
					  
					  
					}
				}
				elseif ( !empty($old_marquee_images)){ //fallback for old marquee with new theme

					foreach ( $old_marquee_images as $image ){
						$image_id = $image['ID'];
						$large_image = wp_get_attachment_image_src( $image_id, 'large' );
						$image_url_large = $large_image[0];
						$image_url_full = wp_get_attachment_image_src( $image_id, 'full' );
						$image_url_full_trimmed = $image_url_full[0];
						$image_heading = rwmb_meta( 'umc_image_meta_textarea_1', $args = array(), $image_id );
						$image_subhead = rwmb_meta( 'umc_image_meta_textarea_2', $args = array(), $image_id );
						$image_description_small = rwmb_meta( 'umc_image_meta_textarea_3', $args = array(), $image_id );
						$vertical_position_class = rwmb_meta( 'umc_image_meta_vertical_position', $args = array(), $image_id );
						$link = rwmb_meta( 'umc_image_meta_url', $args = array(), $image_id );

						echo '<div class="marquee_panel" data-image-full="'. $image_url_full_trimmed .'" data-image-large="'.$image_url_large.'" data-vertical-orientation="'.$vertical_position_class.'"';
						 if ($link != null) {echo ' data-link="' . $link . '"';}

						echo'>'; 
							echo '<div class="panel_caption">';
								if ($image_heading != null) { echo '<h1>' . $image_heading  . '</h1>';}
							echo '</div>';
							echo '<div class="panel_description">';
									if ($image_subhead != null) { echo '<h1>' .  $image_subhead . '</h1>';}
							echo '</div>';
							echo '<div class="panel_description_small">';
									if ($image_description_small != null) { echo '<span>' .  $image_description_small . '</span>';}
							echo '</div>';
						echo '</div>';

					    echo "<img src='{$image['url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' />";

					    echo '<h1>' . $image_id . '</h1>';
					}
				}

		echo '</div>';
	echo '</div>';

?>
	     	
